Bug 198183 - ldd -r reports undefined symbols
Summary: ldd -r reports undefined symbols
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libc-client   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ldd-r-kh
TreeView+ depends on / blocked
 
Reported: 2006-07-10 13:14 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 13:19:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2006-07-10 13:14:01 UTC
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


libc-client-devel-2004g-2.2
undefined symbol: mm_dlog       (/usr/lib/libc-client.so)
undefined symbol: mm_expunged   (/usr/lib/libc-client.so)
undefined symbol: mm_diskerror  (/usr/lib/libc-client.so)
undefined symbol: mm_lsub       (/usr/lib/libc-client.so)
undefined symbol: mm_flags      (/usr/lib/libc-client.so)
undefined symbol: mm_fatal      (/usr/lib/libc-client.so)
undefined symbol: mm_nocritical (/usr/lib/libc-client.so)
undefined symbol: mm_notify     (/usr/lib/libc-client.so)
undefined symbol: mm_searched   (/usr/lib/libc-client.so)
undefined symbol: mm_status     (/usr/lib/libc-client.so)
...

Comment 1 Joe Orton 2006-07-10 13:19:04 UTC
Expected (but fubar) behaviour: global undefined symbols are to the IMAP C
client what callbacks are to every other C library.

Comment 2 Karsten Hopp 2006-07-11 14:06:20 UTC
thanks for the clarification


Note You need to log in before you can comment on or make changes to this bug.